Closed Bug 1703952 Opened 3 years ago Closed 1 year ago

Intermittent LeakSanitizer | leak at mozilla::SupportsThreadSafeWeakPtr, mozilla::dom::RemoteWorkerChild::RemoteWorkerChild, mozilla::ipc::BackgroundChildImpl::AllocPRemoteWorkerChild, mozilla::ipc::PBackgroundChild::OnMessageReceived

Categories

(Core :: DOM: Workers, defect)

defect

Tracking

()

RESOLVED WORKSFORME
Tracking Status
firefox-esr102 --- wontfix

People

(Reporter: intermittent-bug-filer, Unassigned)

References

(Blocks 1 open bug)

Details

(Keywords: intermittent-failure, Whiteboard: [stockwell disable-recommended])

Filed by: malexandru [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer?job_id=335881906&repo=autoland
Full log: https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/NePrFZFTTPafXeIe0fQnRQ/runs/0/artifacts/public/logs/live_backing.log


[task 2021-04-08T20:37:11.843Z] 20:37:11     INFO - TEST-OK | /upgrade-insecure-requests/gen/top.meta/upgrade/worklet-paint.https.html | took 696ms
[task 2021-04-08T20:37:11.846Z] 20:37:11     INFO - TEST-START | /upgrade-insecure-requests/gen/top.meta/upgrade/xhr.https.html
[task 2021-04-08T20:37:11.846Z] 20:37:11     INFO - Closing window 8589934677
[task 2021-04-08T20:37:12.685Z] 20:37:12     INFO - ......
[task 2021-04-08T20:37:12.685Z] 20:37:12     INFO - TEST-OK | /upgrade-insecure-requests/gen/top.meta/upgrade/xhr.https.html | took 842ms
[task 2021-04-08T20:37:12.686Z] 20:37:12     INFO - Restarting browser for new test group
[task 2021-04-08T20:37:12.687Z] 20:37:12     INFO - PID 14011 | 1617914232685	Marionette	INFO	Stopped listening on port 46987
[task 2021-04-08T20:37:12.866Z] 20:37:12     INFO - PID 14011 | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-04-08T20:37:12.871Z] 20:37:12     INFO - PID 14011 | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-04-08T20:37:12.892Z] 20:37:12     INFO - PID 14011 | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-04-08T20:37:12.895Z] 20:37:12     INFO - PID 14011 | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-04-08T20:37:12.993Z] 20:37:12     INFO - PID 14011 | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-04-08T20:37:12.998Z] 20:37:12     INFO - PID 14011 | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-04-08T20:37:13.001Z] 20:37:13     INFO - PID 14011 | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-04-08T20:37:13.001Z] 20:37:13     INFO - PID 14011 | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-04-08T20:37:13.002Z] 20:37:13     INFO - PID 14011 | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-04-08T20:37:14.356Z] 20:37:14     INFO - PID 14011 | -----------------------------------------------------
[task 2021-04-08T20:37:14.356Z] 20:37:14     INFO - PID 14011 | Suppressions used:
[task 2021-04-08T20:37:14.357Z] 20:37:14     INFO - PID 14011 |   count      bytes template
[task 2021-04-08T20:37:14.357Z] 20:37:14     INFO - PID 14011 |      14        448 nsComponentManagerImpl
[task 2021-04-08T20:37:14.358Z] 20:37:14     INFO - PID 14011 |       2        288 libfontconfig.so
[task 2021-04-08T20:37:14.358Z] 20:37:14     INFO - PID 14011 | -----------------------------------------------------
[task 2021-04-08T20:37:14.561Z] 20:37:14     INFO - PID 14011 | -----------------------------------------------------
[task 2021-04-08T20:37:14.561Z] 20:37:14     INFO - PID 14011 | Suppressions used:
[task 2021-04-08T20:37:14.561Z] 20:37:14     INFO - PID 14011 |   count      bytes template
[task 2021-04-08T20:37:14.561Z] 20:37:14     INFO - PID 14011 |      14        448 nsComponentManagerImpl
[task 2021-04-08T20:37:14.561Z] 20:37:14     INFO - PID 14011 |       2        288 libfontconfig.so
[task 2021-04-08T20:37:14.561Z] 20:37:14     INFO - PID 14011 | -----------------------------------------------------
[task 2021-04-08T20:37:14.566Z] 20:37:14     INFO - PID 14011 | -----------------------------------------------------
[task 2021-04-08T20:37:14.566Z] 20:37:14     INFO - PID 14011 | Suppressions used:
[task 2021-04-08T20:37:14.566Z] 20:37:14     INFO - PID 14011 |   count      bytes template
[task 2021-04-08T20:37:14.566Z] 20:37:14     INFO - PID 14011 |      14        448 nsComponentManagerImpl
[task 2021-04-08T20:37:14.566Z] 20:37:14     INFO - PID 14011 |       2        288 libfontconfig.so
[task 2021-04-08T20:37:14.566Z] 20:37:14     INFO - PID 14011 | -----------------------------------------------------
[task 2021-04-08T20:37:14.593Z] 20:37:14     INFO - PID 14011 | -----------------------------------------------------
[task 2021-04-08T20:37:14.593Z] 20:37:14     INFO - PID 14011 | Suppressions used:
[task 2021-04-08T20:37:14.594Z] 20:37:14     INFO - PID 14011 |   count      bytes template
[task 2021-04-08T20:37:14.594Z] 20:37:14     INFO - PID 14011 |      14        448 nsComponentManagerImpl
[task 2021-04-08T20:37:14.594Z] 20:37:14     INFO - PID 14011 |       2        288 libfontconfig.so
[task 2021-04-08T20:37:14.594Z] 20:37:14     INFO - PID 14011 | -----------------------------------------------------
[task 2021-04-08T20:37:14.692Z] 20:37:14     INFO - PID 14011 | -----------------------------------------------------
[task 2021-04-08T20:37:14.692Z] 20:37:14     INFO - PID 14011 | Suppressions used:
[task 2021-04-08T20:37:14.693Z] 20:37:14     INFO - PID 14011 |   count      bytes template
[task 2021-04-08T20:37:14.693Z] 20:37:14     INFO - PID 14011 |      14        448 nsComponentManagerImpl
[task 2021-04-08T20:37:14.693Z] 20:37:14     INFO - PID 14011 |       2        288 libfontconfig.so
[task 2021-04-08T20:37:14.693Z] 20:37:14     INFO - PID 14011 | -----------------------------------------------------
[task 2021-04-08T20:37:15.959Z] 20:37:15     INFO - PID 14011 | -----------------------------------------------------
[task 2021-04-08T20:37:15.959Z] 20:37:15     INFO - PID 14011 | Suppressions used:
[task 2021-04-08T20:37:15.962Z] 20:37:15     INFO - PID 14011 |   count      bytes template
[task 2021-04-08T20:37:15.962Z] 20:37:15     INFO - PID 14011 |      11        344 nsComponentManagerImpl
[task 2021-04-08T20:37:15.963Z] 20:37:15     INFO - PID 14011 |     633      18083 libfontconfig.so
[task 2021-04-08T20:37:15.963Z] 20:37:15     INFO - PID 14011 |       4         24 libglib-2.0.so
[task 2021-04-08T20:37:15.963Z] 20:37:15     INFO - PID 14011 |       3        624 mozJSComponentLoader
[task 2021-04-08T20:37:15.963Z] 20:37:15     INFO - PID 14011 | -----------------------------------------------------
[task 2021-04-08T20:37:16.042Z] 20:37:16     INFO - Browser exited with return code 0
[task 2021-04-08T20:37:16.042Z] 20:37:16     INFO - PROCESS LEAKS None
[task 2021-04-08T20:37:16.043Z] 20:37:16     INFO - ERROR | LeakSanitizer | SUMMARY: AddressSanitizer: 296 byte(s) leaked in 3 allocation(s).
[task 2021-04-08T20:37:16.043Z] 20:37:16     INFO - LeakSanitizer | To show the addresses of leaked objects add report_objects=1 to LSAN_OPTIONS
[task 2021-04-08T20:37:16.043Z] 20:37:16     INFO - This can be done in testing/mozbase/mozrunner/mozrunner/utils.py
[task 2021-04-08T20:37:16.044Z] 20:37:16     INFO - Allowed depth was 4
[task 2021-04-08T20:37:16.045Z] 20:37:16     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::SupportsThreadSafeWeakPtr, mozilla::dom::RemoteWorkerChild::RemoteWorkerChild, mozilla::ipc::BackgroundChildImpl::AllocPRemoteWorkerChild, mozilla::ipc::PBackgroundChild::OnMessageReceived
[task 2021-04-08T20:37:16.045Z] 20:37:16     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::ipc::BackgroundChildImpl::AllocPRemoteWorkerChild, mozilla::ipc::PBackgroundChild::OnMessageReceived, mozilla::ipc::MessageChannel::DispatchAsyncMessage, mozilla::ipc::MessageChannel::DispatchMessage
[task 2021-04-08T20:37:16.046Z] 20:37:16     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at detail::ProxyRelease, ProxyRelease, NS_ProxyRelease, mozilla::dom::SelfHolder::~SelfHolder
[task 2021-04-08T20:37:16.048Z] 20:37:16     INFO - Closing logging queue
[task 2021-04-08T20:37:16.049Z] 20:37:16     INFO - queue closed
[task 2021-04-08T20:37:16.093Z] 20:37:16     INFO - INFO | runtests.py | ASan using symbolizer at /builds/worker/workspace/build/application/firefox/llvm-symbolizer
[task 2021-04-08T20:37:16.099Z] 20:37:16     INFO - LSan enabled.
[task 2021-04-08T20:37:16.100Z] 20:37:16     INFO - INFO | runtests.py | ASan running in default memory configuration
[task 2021-04-08T20:37:16.101Z] 20:37:16     INFO - UBSan enabled.
[task 2021-04-08T20:37:16.102Z] 20:37:16     INFO - Application command: /builds/worker/workspace/build/application/firefox/firefox --marionette about:blank -profile /tmp/tmpftk10n2h
[task 2021-04-08T20:37:16.109Z] 20:37:16     INFO - PID 14181 | 1617914194080	Marionette	INFO	Marionette enabled
[task 2021-04-08T20:37:16.110Z] 20:37:16     INFO - PID 14181 | console.warn: SearchSettings: "get: No settings file exists, new profile?" (new NotFoundError("Could not open the file at /tmp/tmpgvfyv3kl/search.json.mozlz4", (void 0)))
[task 2021-04-08T20:37:16.112Z] 20:37:16     INFO - PID 14181 | 1617914202244	Marionette	INFO	Listening on port 55568
[task 2021-04-08T20:37:16.113Z] 20:37:16     INFO - Starting runner
[task 2021-04-08T20:37:17.105Z] 20:37:17     INFO - PID 14181 | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-04-08T20:37:17.108Z] 20:37:17     INFO - PID 14181 | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-04-08T20:37:17.404Z] 20:37:17     INFO - TEST-START | /wasm/jsapi/module/constructor.any.worker.html```
Status: NEW → RESOLVED
Closed: 3 years ago
Resolution: --- → INCOMPLETE
Status: REOPENED → RESOLVED
Closed: 3 years ago3 years ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Status: REOPENED → RESOLVED
Closed: 3 years ago2 years ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Blocks: LSan

There have been 33 total failures in the last 7 days, recent failure log.
Affected platforms are:

  • linux1804-64-asan-qr
[task 2022-03-05T08:44:47.273Z] 08:44:47     INFO - Browser exited with return code 0
[task 2022-03-05T08:44:47.275Z] 08:44:47     INFO - ERROR | LeakSanitizer | SUMMARY: AddressSanitizer: 328 byte(s) leaked in 4 allocation(s).
[task 2022-03-05T08:44:47.275Z] 08:44:47     INFO - LeakSanitizer | To show the addresses of leaked objects add report_objects=1 to LSAN_OPTIONS
[task 2022-03-05T08:44:47.277Z] 08:44:47     INFO - This can be done in testing/mozbase/mozrunner/mozrunner/utils.py
[task 2022-03-05T08:44:47.279Z] 08:44:47     INFO - Allowed depth was 4
[task 2022-03-05T08:44:47.279Z] 08:44:47     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::SupportsThreadSafeWeakPtr, mozilla::dom::RemoteWorkerChild::RemoteWorkerChild, mozilla::ipc::BackgroundChildImpl::AllocPRemoteWorkerChild, mozilla::ipc::PBackgroundChild::OnMessageReceived
[task 2022-03-05T08:44:47.279Z] 08:44:47     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::ipc::BackgroundChildImpl::AllocPRemoteWorkerChild, mozilla::ipc::PBackgroundChild::OnMessageReceived, mozilla::ipc::MessageChannel::DispatchAsyncMessage, mozilla::ipc::MessageChannel::DispatchMessage
[task 2022-03-05T08:44:47.279Z] 08:44:47     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at NS_NewRunnableFunction, mozilla::dom::RemoteWorkerChild::ShutdownOnWorker, operator, std::_Function_handler
[task 2022-03-05T08:44:47.279Z] 08:44:47     INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at detail::ProxyRelease, ProxyRelease, NS_ProxyRelease, operator
[task 2022-03-05T08:44:47.279Z] 08:44:47     INFO - Closing logging queue
[task 2022-03-05T08:44:47.279Z] 08:44:47     INFO - queue closed
[task 2022-03-05T08:44:47.304Z] 08:44:47     INFO - INFO | runtests.py | ASan using symbolizer at /builds/worker/workspace/build/application/firefox/llvm-symbolizer
[task 2022-03-05T08:44:47.311Z] 08:44:47     INFO - LSan enabled.
[task 2022-03-05T08:44:47.311Z] 08:44:47     INFO - INFO | runtests.py | ASan running in default memory configuration
[task 2022-03-05T08:44:47.312Z] 08:44:47     INFO - UBSan enabled.
[task 2022-03-05T08:44:47.312Z] 08:44:47     INFO - Application command: /builds/worker/workspace/build/application/firefox/firefox --marionette about:blank -profile /tmp/tmpjaad33c9
[task 2022-03-05T08:44:47.321Z] 08:44:47     INFO - PID 2207 | 1646469859345	Marionette	INFO	Marionette enabled
[task 2022-03-05T08:44:47.322Z] 08:44:47     INFO - PID 2207 | console.warn: SearchSettings: "get: No settings file exists, new profile?" (new NotFoundError("Could not open the file at /tmp/tmpuvatc7jr/search.json.mozlz4", (void 0)))
[task 2022-03-05T08:44:47.323Z] 08:44:47     INFO - PID 2207 | 1646469872925	Marionette	INFO	Listening on port 39113
[task 2022-03-05T08:44:47.323Z] 08:44:47     INFO - Starting runner
[task 2022-03-05T08:44:48.584Z] 08:44:48     INFO - TEST-START | /content-security-policy/unsafe-hashes/javascript_src_allowed-href.html
Whiteboard: [domsecurity-intermittent] → [domsecurity-intermittent][stockwell needswork:owner]
See Also: → 1749068
Component: DOM: Security → DOM: Workers
Whiteboard: [domsecurity-intermittent][stockwell needswork:owner] → [stockwell needswork:owner]

There have been 30 total failures in the last 7 days, recent failure log.
Affected platforms are:

  • linux1804-64-asan-qr
[task 2022-05-24T16:57:08.101Z] 16:57:08     INFO - TEST-INFO | Main app process: exit 0
[task 2022-05-24T16:57:08.101Z] 16:57:08     INFO - TEST-INFO | LeakSanitizer | To show the addresses of leaked objects add report_objects=1 to LSAN_OPTIONS
[task 2022-05-24T16:57:08.101Z] 16:57:08     INFO - TEST-INFO | LeakSanitizer | This can be done in testing/mozbase/mozrunner/mozrunner/utils.py
[task 2022-05-24T16:57:08.102Z] 16:57:08    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::SupportsThreadSafeWeakPtr, mozilla::dom::RemoteWorkerChild::RemoteWorkerChild, mozilla::ipc::BackgroundChildImpl::AllocPRemoteWorkerChild, mozilla::ipc::PBackgroundChild::OnMessageReceived
[task 2022-05-24T16:57:08.103Z] 16:57:08    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at detail::ProxyRelease, ProxyRelease, NS_ProxyRelease, operator
[task 2022-05-24T16:57:08.103Z] 16:57:08    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::ipc::BackgroundChildImpl::AllocPRemoteWorkerChild, mozilla::ipc::PBackgroundChild::OnMessageReceived, mozilla::ipc::MessageChannel::DispatchAsyncMessage, mozilla::ipc::MessageChannel::DispatchMessage
[task 2022-05-24T16:57:08.104Z] 16:57:08    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at NS_NewRunnableFunction, mozilla::dom::RemoteWorkerChild::ShutdownOnWorker, operator, std::_Function_handler
[task 2022-05-24T16:57:08.105Z] 16:57:08     INFO - runtests.py | Application ran for: 0:03:59.303334
[task 2022-05-24T16:57:08.106Z] 16:57:08     INFO - zombiecheck | Reading PID log: /tmp/tmp19xc38etpidlog

There have been 42 total failures in the last 7 days, recent failure log.
Affected platforms are:

  • linux1804-64-asan-qr

There have been 33 total failures in the last 7 days, recent failure log.
Affected platforms are:

  • linux1804-64-asan-qr

There have been 36 total failures in the last 7 days, recent failure log.
Affected platforms are:

  • linux1804-64-asan-qr

Update:

There have been 33 failures within the last 7 days all of them on Linux 18.04 x64 WebRender asan opt.

Recent failure log: https://treeherder.mozilla.org/logviewer?job_id=384561291&repo=autoland&lineNumber=6045

[task 2022-07-16T17:25:44.835Z] 17:25:44     INFO - TEST-INFO | Main app process: exit 0
[task 2022-07-16T17:25:44.836Z] 17:25:44     INFO - TEST-INFO | LeakSanitizer | To show the addresses of leaked objects add report_objects=1 to LSAN_OPTIONS
[task 2022-07-16T17:25:44.837Z] 17:25:44     INFO - TEST-INFO | LeakSanitizer | This can be done in testing/mozbase/mozrunner/mozrunner/utils.py
[task 2022-07-16T17:25:44.837Z] 17:25:44    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at detail::ProxyRelease, ProxyRelease, NS_ProxyRelease, operator
[task 2022-07-16T17:25:44.837Z] 17:25:44    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::SupportsThreadSafeWeakPtr, mozilla::dom::RemoteWorkerChild::RemoteWorkerChild, mozilla::ipc::BackgroundChildImpl::AllocPRemoteWorkerChild, mozilla::ipc::PBackgroundChild::OnMessageReceived
[task 2022-07-16T17:25:44.838Z] 17:25:44    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at already_AddRefed, mozilla::dom::RemoteWorkerChild::ShutdownOnWorker, operator, decltype
[task 2022-07-16T17:25:44.838Z] 17:25:44    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::ipc::BackgroundChildImpl::AllocPRemoteWorkerChild, mozilla::ipc::PBackgroundChild::OnMessageReceived, mozilla::ipc::MessageChannel::DispatchAsyncMessage, mozilla::ipc::MessageChannel::DispatchMessage
[task 2022-07-16T17:25:44.839Z] 17:25:44     INFO - runtests.py | Application ran for: 0:02:57.451382

Jens, as the owner of this component, can you help us assign the bug to someone?
Thank you.

Flags: needinfo?(jstutte)

Hi Andrew, I assume this is one of the same series around RemoteWorkerChild?

Flags: needinfo?(jstutte) → needinfo?(bugmail)

There have been 37 total failures in the last 7 days, recent failure log.
Affected platforms are:

  • linux1804-64-asan-qr

There have been 33 total failures in the last 7 days, recent failure log.
Affected platforms are:

  • linux1804-64-asan-qr

There have been 32 total failures in the last 7 days, recent failure log.
Affected platforms are:

  • linux1804-64-asan-qr
Whiteboard: [stockwell unknown][stockwell needswork:owner] → [stockwell needswork:owner]

There have been 33 total failures in the last 7 days, recent failure log.
Affected platforms are:

  • linux1804-64-asan-qr
[task 2022-12-15T17:45:41.058Z] 17:45:41     INFO - GECKO(14967) | observe@resource://gre/modules/AsyncShutdown.jsm:572:16
[task 2022-12-15T17:45:41.076Z] 17:45:41     INFO - GECKO(14967) | JavaScript error: resource://gre/modules/AsyncShutdown.jsm, line 718: Error: Phase "profile-before-change" is finished, it is too late to register completion condition "OS.File: flush I/O queued before profileBeforeChange"
[task 2022-12-15T17:45:41.077Z] 17:45:41     INFO - GECKO(14967) | JavaScript error: resource://gre/modules/AsyncShutdown.jsm, line 718: Error: Phase "profile-before-change" is finished, it is too late to register completion condition "OS.File: flush I/O queued before profileBeforeChange"
[task 2022-12-15T17:45:41.079Z] 17:45:41     INFO - GECKO(14967) | JavaScript error: resource://gre/modules/AsyncShutdown.jsm, line 718: Error: Phase "profile-before-change" is finished, it is too late to register completion condition "OS.File: flush I/O queued before profileBeforeChange"
[task 2022-12-15T17:45:41.079Z] 17:45:41     INFO - GECKO(14967) | JavaScript error: resource://gre/modules/AsyncShutdown.jsm, line 718: Error: Phase "profile-before-change" is finished, it is too late to register completion condition "OS.File: flush I/O queued before profileBeforeChange"
[task 2022-12-15T17:45:41.081Z] 17:45:41     INFO - GECKO(14967) | JavaScript error: resource://gre/modules/AsyncShutdown.jsm, line 718: Error: Phase "profile-before-change" is finished, it is too late to register completion condition "OS.File: flush I/O queued before profileBeforeChange"
[task 2022-12-15T17:45:42.243Z] 17:45:42     INFO - GECKO(14967) | [Parent 14967, IPC I/O Parent] WARNING: Process 15094 may be hanging at shutdown; will wait for up to 8000ms: file /builds/worker/checkouts/gecko/ipc/chromium/src/chrome/common/process_watcher_posix_sigchld.cc:175
[task 2022-12-15T17:45:42.267Z] 17:45:42     INFO - GECKO(14967) | -----------------------------------------------------
[task 2022-12-15T17:45:42.268Z] 17:45:42     INFO - GECKO(14967) | Suppressions used:
[task 2022-12-15T17:45:42.268Z] 17:45:42     INFO - GECKO(14967) |   count      bytes template
[task 2022-12-15T17:45:42.269Z] 17:45:42     INFO - GECKO(14967) |      14        448 nsComponentManagerImpl
[task 2022-12-15T17:45:42.270Z] 17:45:42     INFO - GECKO(14967) |       2        288 libfontconfig.so
[task 2022-12-15T17:45:42.273Z] 17:45:42     INFO - GECKO(14967) | -----------------------------------------------------
[task 2022-12-15T17:45:43.638Z] 17:45:43     INFO - GECKO(14967) | -----------------------------------------------------
[task 2022-12-15T17:45:43.639Z] 17:45:43     INFO - GECKO(14967) | Suppressions used:
[task 2022-12-15T17:45:43.639Z] 17:45:43     INFO - GECKO(14967) |   count      bytes template
[task 2022-12-15T17:45:43.639Z] 17:45:43     INFO - GECKO(14967) |       1         32 nsComponentManagerImpl
[task 2022-12-15T17:45:43.640Z] 17:45:43     INFO - GECKO(14967) |     633      18115 libfontconfig.so
[task 2022-12-15T17:45:43.641Z] 17:45:43     INFO - GECKO(14967) |       2      16393 libglib-2.0.so
[task 2022-12-15T17:45:43.641Z] 17:45:43     INFO - GECKO(14967) | -----------------------------------------------------
[task 2022-12-15T17:45:43.742Z] 17:45:43     INFO - TEST-INFO | Main app process: exit 0
[task 2022-12-15T17:45:43.742Z] 17:45:43     INFO - TEST-INFO | LeakSanitizer | To show the addresses of leaked objects add report_objects=1 to LSAN_OPTIONS
[task 2022-12-15T17:45:43.742Z] 17:45:43     INFO - TEST-INFO | LeakSanitizer | This can be done in testing/mozbase/mozrunner/mozrunner/utils.py
[task 2022-12-15T17:45:43.742Z] 17:45:43    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::SupportsThreadSafeWeakPtr, mozilla::dom::RemoteWorkerChild::RemoteWorkerChild, mozilla::ipc::BackgroundChildImpl::AllocPRemoteWorkerChild, mozilla::ipc::PBackgroundChild::OnMessageReceived
[task 2022-12-15T17:45:43.742Z] 17:45:43    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::ipc::BackgroundChildImpl::AllocPRemoteWorkerChild, mozilla::ipc::PBackgroundChild::OnMessageReceived, mozilla::ipc::MessageChannel::DispatchAsyncMessage, mozilla::ipc::MessageChannel::DispatchMessage
[task 2022-12-15T17:45:43.742Z] 17:45:43    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at NS_NewRunnableFunction, mozilla::dom::RemoteWorkerChild::ShutdownOnWorker, operator, decltype
[task 2022-12-15T17:45:43.743Z] 17:45:43    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at detail::ProxyRelease, ProxyRelease, NS_ProxyRelease, operator
[task 2022-12-15T17:45:43.744Z] 17:45:43     INFO - runtests.py | Application ran for: 0:02:39.367991

There have been 31 total failures in the last 7 days, recent failure log.
Affected platforms are:

  • linux1804-64-asan-qr

There have been 41 total failures in the last 7 days, recent failure log.
Affected platforms are:

  • linux1804-64-asan-qr
[task 2023-01-19T21:55:39.164Z] 21:55:39     INFO - GECKO(2305) | setup@resource://gre/modules/TelemetrySend.sys.mjs:241:30
[task 2023-01-19T21:55:39.164Z] 21:55:39     INFO - GECKO(2305) | setupTelemetry/this._delayedInitTask<@resource://gre/modules/TelemetryControllerParent.sys.mjs:829:36
[task 2023-01-19T21:55:39.165Z] 21:55:39     INFO - GECKO(2305) | observe@resource://gre/modules/AsyncShutdown.sys.mjs:576:16
[task 2023-01-19T21:55:39.173Z] 21:55:39     INFO - GECKO(2305) | JavaScript error: resource://gre/modules/AsyncShutdown.sys.mjs, line 727: Error: Phase "profile-before-change" is finished, it is too late to register completion condition "OS.File: flush I/O queued before profileBeforeChange"
[task 2023-01-19T21:55:39.175Z] 21:55:39     INFO - GECKO(2305) | JavaScript error: resource://gre/modules/AsyncShutdown.sys.mjs, line 727: Error: Phase "profile-before-change" is finished, it is too late to register completion condition "OS.File: flush I/O queued before profileBeforeChange"
[task 2023-01-19T21:55:39.177Z] 21:55:39     INFO - GECKO(2305) | JavaScript error: resource://gre/modules/AsyncShutdown.sys.mjs, line 727: Error: Phase "profile-before-change" is finished, it is too late to register completion condition "OS.File: flush I/O queued before profileBeforeChange"
[task 2023-01-19T21:55:39.179Z] 21:55:39     INFO - GECKO(2305) | JavaScript error: resource://gre/modules/AsyncShutdown.sys.mjs, line 727: Error: Phase "profile-before-change" is finished, it is too late to register completion condition "OS.File: flush I/O queued before profileBeforeChange"
[task 2023-01-19T21:55:39.180Z] 21:55:39     INFO - GECKO(2305) | JavaScript error: resource://gre/modules/AsyncShutdown.sys.mjs, line 727: Error: Phase "profile-before-change" is finished, it is too late to register completion condition "OS.File: flush I/O queued before profileBeforeChange"
[task 2023-01-19T21:55:39.974Z] 21:55:39     INFO - GECKO(2305) | [Parent 2305, IPC I/O Parent] WARNING: Process 2440 may be hanging at shutdown; will wait for up to 40000ms: file /builds/worker/checkouts/gecko/ipc/chromium/src/chrome/common/process_watcher_posix_sigchld.cc:180
[task 2023-01-19T21:55:40.389Z] 21:55:40     INFO - GECKO(2305) | -----------------------------------------------------
[task 2023-01-19T21:55:40.389Z] 21:55:40     INFO - GECKO(2305) | Suppressions used:
[task 2023-01-19T21:55:40.390Z] 21:55:40     INFO - GECKO(2305) |   count      bytes template
[task 2023-01-19T21:55:40.390Z] 21:55:40     INFO - GECKO(2305) |      14        448 nsComponentManagerImpl
[task 2023-01-19T21:55:40.391Z] 21:55:40     INFO - GECKO(2305) |       2        288 libfontconfig.so
[task 2023-01-19T21:55:40.391Z] 21:55:40     INFO - GECKO(2305) | -----------------------------------------------------
[task 2023-01-19T21:55:41.857Z] 21:55:41     INFO - GECKO(2305) | -----------------------------------------------------
[task 2023-01-19T21:55:41.858Z] 21:55:41     INFO - GECKO(2305) | Suppressions used:
[task 2023-01-19T21:55:41.859Z] 21:55:41     INFO - GECKO(2305) |   count      bytes template
[task 2023-01-19T21:55:41.860Z] 21:55:41     INFO - GECKO(2305) |       1         32 nsComponentManagerImpl
[task 2023-01-19T21:55:41.861Z] 21:55:41     INFO - GECKO(2305) |     633      18115 libfontconfig.so
[task 2023-01-19T21:55:41.861Z] 21:55:41     INFO - GECKO(2305) |       2      16393 libglib-2.0.so
[task 2023-01-19T21:55:41.862Z] 21:55:41     INFO - GECKO(2305) | -----------------------------------------------------
[task 2023-01-19T21:55:41.942Z] 21:55:41     INFO - TEST-INFO | Main app process: exit 0
[task 2023-01-19T21:55:41.948Z] 21:55:41     INFO - TEST-INFO | LeakSanitizer | To show the addresses of leaked objects add report_objects=1 to LSAN_OPTIONS
[task 2023-01-19T21:55:41.950Z] 21:55:41     INFO - TEST-INFO | LeakSanitizer | This can be done in testing/mozbase/mozrunner/mozrunner/utils.py
[task 2023-01-19T21:55:41.951Z] 21:55:41    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::SupportsThreadSafeWeakPtr, mozilla::dom::RemoteWorkerChild::RemoteWorkerChild, mozilla::ipc::BackgroundChildImpl::AllocPRemoteWorkerChild, mozilla::ipc::PBackgroundChild::OnMessageReceived
[task 2023-01-19T21:55:41.952Z] 21:55:41    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at NS_NewRunnableFunction, mozilla::dom::RemoteWorkerChild::ShutdownOnWorker, operator, decltype
[task 2023-01-19T21:55:41.953Z] 21:55:41    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::ipc::BackgroundChildImpl::AllocPRemoteWorkerChild, mozilla::ipc::PBackgroundChild::OnMessageReceived, mozilla::ipc::MessageChannel::DispatchAsyncMessage, mozilla::ipc::MessageChannel::DispatchMessage
[task 2023-01-19T21:55:41.954Z] 21:55:41    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at detail::ProxyRelease, ProxyRelease, NS_ProxyRelease, operator
[task 2023-01-19T21:55:41.955Z] 21:55:41     INFO - runtests.py | Application ran for: 0:02:57.619926

There have been 62 total failures in the last 7 days.
All failures are on the linux1804-64-asan-qr.

Recent failure log.

[task 2023-02-06T06:56:17.415Z] 06:56:17     INFO - GECKO(8254) | JavaScript error: resource://gre/modules/AsyncShutdown.sys.mjs, line 727: Error: Phase "profile-before-change" is finished, it is too late to register completion condition "OS.File: flush I/O queued before profileBeforeChange"
[task 2023-02-06T06:56:18.548Z] 06:56:18     INFO - GECKO(8254) | -----------------------------------------------------
[task 2023-02-06T06:56:18.548Z] 06:56:18     INFO - GECKO(8254) | Suppressions used:
[task 2023-02-06T06:56:18.549Z] 06:56:18     INFO - GECKO(8254) |   count      bytes template
[task 2023-02-06T06:56:18.549Z] 06:56:18     INFO - GECKO(8254) |      14        448 nsComponentManagerImpl
[task 2023-02-06T06:56:18.549Z] 06:56:18     INFO - GECKO(8254) |       2        288 libfontconfig.so
[task 2023-02-06T06:56:18.549Z] 06:56:18     INFO - GECKO(8254) | -----------------------------------------------------
[task 2023-02-06T06:56:19.736Z] 06:56:19     INFO - GECKO(8254) | -----------------------------------------------------
[task 2023-02-06T06:56:19.738Z] 06:56:19     INFO - GECKO(8254) | Suppressions used:
[task 2023-02-06T06:56:19.739Z] 06:56:19     INFO - GECKO(8254) |   count      bytes template
[task 2023-02-06T06:56:19.740Z] 06:56:19     INFO - GECKO(8254) |       1         32 nsComponentManagerImpl
[task 2023-02-06T06:56:19.742Z] 06:56:19     INFO - GECKO(8254) |     633      18115 libfontconfig.so
[task 2023-02-06T06:56:19.742Z] 06:56:19     INFO - GECKO(8254) |       2      16393 libglib-2.0.so
[task 2023-02-06T06:56:19.742Z] 06:56:19     INFO - GECKO(8254) | -----------------------------------------------------
[task 2023-02-06T06:56:19.818Z] 06:56:19     INFO - TEST-INFO | Main app process: exit 0
[task 2023-02-06T06:56:19.819Z] 06:56:19     INFO - TEST-INFO | LeakSanitizer | To show the addresses of leaked objects add report_objects=1 to LSAN_OPTIONS
[task 2023-02-06T06:56:19.820Z] 06:56:19     INFO - TEST-INFO | LeakSanitizer | This can be done in testing/mozbase/mozrunner/mozrunner/utils.py
[task 2023-02-06T06:56:19.821Z] 06:56:19    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::SupportsThreadSafeWeakPtr, mozilla::dom::RemoteWorkerChild::RemoteWorkerChild, mozilla::ipc::BackgroundChildImpl::AllocPRemoteWorkerChild, mozilla::ipc::PBackgroundChild::OnMessageReceived
[task 2023-02-06T06:56:19.823Z] 06:56:19    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at detail::ProxyRelease, ProxyRelease, NS_ProxyRelease, operator
[task 2023-02-06T06:56:19.824Z] 06:56:19    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at NS_NewRunnableFunction, mozilla::dom::RemoteWorkerChild::ShutdownOnWorker, operator, decltype
[task 2023-02-06T06:56:19.825Z] 06:56:19    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at mozilla::ipc::BackgroundChildImpl::AllocPRemoteWorkerChild, mozilla::ipc::PBackgroundChild::OnMessageReceived, mozilla::ipc::MessageChannel::DispatchAsyncMessage, mozilla::ipc::MessageChannel::DispatchMessage
[task 2023-02-06T06:56:19.826Z] 06:56:19     INFO - runtests.py | Application ran for: 0:02:37.468734

Jan, can you help us assign this to someone?
Thank you.

Flags: needinfo?(bugmail) → needinfo?(jvarga)
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]

There have been 39 total failures in the last 7 days, recent failure log.
Affected platforms are:

  • linux1804-64-asan-qr
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]
See Also: → 1775784
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]

There have been 142 total failures in the last 7 days, recent failure log.
Affected platforms are:

  • linux1804-64-asan-qr
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]
Depends on: 1775784
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]
Whiteboard: [stockwell disable-recommended]

This should go away after Bug 1775784 landed.

Flags: needinfo?(jvarga)
Whiteboard: [stockwell disable-recommended]
Whiteboard: [stockwell disable-recommended]

(In reply to Cosmin Sabou [:CosminS] from comment #117)

This should go away after Bug 1775784 landed.

Seems confirmed by the data.

Status: REOPENED → RESOLVED
Closed: 2 years ago1 year ago
Resolution: --- → WORKSFORME

This permafailing on mozilla-release: push and it's also seen on beta-as-release simulation

(In reply to Intermittent Failures Robot from comment #129)

1 failures in 4077 pushes (0.0 failures/push) were associated with this bug in the last 7 days.

Repository breakdown:

  • mozilla-esr102: 1

Platform and build breakdown:

  • linux1804-64-asan-qr: 1
    • opt: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures/bugdetails?bug=1703952&startday=2023-05-08&endday=2023-05-14&tree=all

Since the beginning of May there seem to be only failures on ESR 102. Do you recall any important change that landed around that time?

Flags: needinfo?(echuang)

[Tracking Requested - why for this release]:

The fix of bug 1775784 is released on Fx113 which release date is on May 9.
The fix is not uplifted to ESR 102 so it is reasonable here only failure on ESR 102.

I set ESR102 as wontfix

Flags: needinfo?(echuang)
You need to log in before you can comment on or make changes to this bug.